restic backup(1)

NAME

restic-self-update - Update the restic binary

SYNOPSIS

restic self-update [flags]

DESCRIPTION

The command "self-update" downloads the latest stable release of restic from GitHub and replaces the currently running binary. After download, the authenticity of the binary is verified using the GPG signature on the release files.

OPTIONS

-h, --help[=false]
    help for self-update

--output=""
    Save the downloaded file as filename (default: running binary itself)

OPTIONS INHERITED FROM PARENT COMMANDS

--cacert=[]
    file to load root certificates from (default: use system certificates)

--cache-dir=""
    set the cache directory. (default: use system default cache directory)

--cleanup-cache[=false]
    auto remove old cache directories

--json[=false]
    set output mode to JSON for commands that support it

--key-hint=""
    key ID of key to try decrypting first (default: $RESTIC_KEY_HINT)

--limit-download=0
    limits downloads to a maximum rate in KiB/s. (default: unlimited)

--limit-upload=0
    limits uploads to a maximum rate in KiB/s. (default: unlimited)

--no-cache[=false]
    do not use a local cache

--no-lock[=false]
    do not lock the repo, this allows some operations on read-only repos

-o, --option=[]
    set extended option (key=value, can be specified multiple times)

--password-command=""
    specify a shell command to obtain a password (default: $RESTIC_PASSWORD_COMMAND)

-p, --password-file=""
    read the repository password from a file (default: $RESTIC_PASSWORD_FILE)

-q, --quiet[=false]
    do not output comprehensive progress report

-r, --repo=""
    repository to backup to or restore from (default: $RESTIC_REPOSITORY)

--tls-client-cert=""
    path to a file containing PEM encoded TLS client certificate and private key

-v, --verbose[=0]
    be verbose (specify --verbose multiple times or level n)

SEE ALSO

restic(1)